System.ServiceModel 4.0.0.0 ReferenceTypeConstraint System.ServiceModel.ClientBase<TChannel> TChannel To be added.

Use the class to create a channel to a service that specifies a callback object. The object wraps a object, which provides the connectivity for the indigo2 object. You can use either type to connect to a duplex service. For more information about duplex services, see Duplex Services.

Special note for Managed C++ users deriving from this class:

Put your cleanup code in (On)(Begin)Close (and/or OnAbort), not in a destructor.

Avoid destructors: they cause the compiler to auto-generate

Avoid non-reference members: they can cause the compiler to auto-generate

Avoid finalizers; but if you include one, you should suppress the build warning and call and the finalizer itself from (On)(Begin)Close (and/or OnAbort) in order to emulate what would have been the auto-generated behavior.

Used to create a channel to a duplex service and associate that channel with a callback object.

- Constructor
  4.0.0.0
  To be added.

  indigo2 creates a new object using the object to handle all callback operations.

  Initializes a new instance of the class using the specified callback object.

- Constructor
  4.0.0.0
  To be added.

  The provided by the user is used to service all callback operations.

  Initializes a new instance of the class using the specified callback object.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.

  Initializes a new instance of the class with the specified callback object and service endpoint.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  indigo2 creates a new object using the object to handle all callback operations.

  Initializes a new instance of the class using the specified callback object and configuration name.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.

  Initializes a new instance of the class with the specified callback object and service endpoint.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  The provided by the user is used to service all callback operations.

  Initializes a new instance of the class using the specified callback object and configuration name.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.

  indigo2 creates a new object using the object to handle all callback operations.

  Initializes a new instance of the class using the specified callback object, binding, and service endpoint address.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.

  indigo2 creates a new object using the object to handle all callback operations.

  Initializes a new instance of the class using the specified callback object, configuration name, and service endpoint address.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.

  indigo2 creates a new object using the object to handle all callback operations.

  Initializes a new instance of the class using the specified callback object, endpoint configuration name, and service endpoint address.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.

  The provided by the user is used to service all callback operations.

  Initializes a new instance of the class using the specified callback object, binding, and service endpoint address.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.

  The provided by the user is used to service all callback operations.

  Initializes a new instance of the class using the specified callback object, configuration name, and service endpoint address.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.

  The provided by the user is used to service all callback operations.

  Initializes a new instance of the class using the specified callback object, configuration name, and service endpoint address.

- Method
  4.0.0.0
  TChannel To be added.

  Returns a channel to the service associated with the callback object passed to the constructor.

  A channel to the service of the type of the service contract interface.

- Property
  4.0.0.0
  System.ServiceModel.IDuplexContextChannel To be added. To be added.

  Gets the inner duplex channel.